package com.ningdatech.pmapi.todocenter.model.dto.req;

import com.ningdatech.pmapi.common.model.FileBasicInfo;
import com.ningdatech.pmapi.todocenter.bean.entity.ProcessComment;
import com.ningdatech.pmapi.todocenter.enums.ProcessHandlerEnum;
import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;
import java.time.LocalDateTime;

/**
 * 流程处理操作参数实体
 *
 * @author CMM
 * @since 2023/01/30 09:09
 */
@Data
@NoArgsConstructor
@AllArgsConstructor
public class ReqProcessHandlerDTO {

    /**
     * 实例ID
     */
    private String instanceId;
    /**
     * 任务ID
     */
    private String taskId;
    /**
     * 签名图片地址
     */
    private String signature;
    /**
     * 操作类型
     */
    private ProcessHandlerEnum action;
    /**
     * 目标用户
     */
    private String targetUser;
    /**
     * 目标节点
     */
    private String targetNode;

    /**
     * 审核信息
     */
    private ProcessComment auditInfo;
    ///**
    // * 审核通过意见
    // */
    //private String auditPassOpinion;
    //
    ///**
    // * 审核通过附件
    // */
    //private FileBasicInfo auditPassAppendix;
    ///**
    // * 盖章通过意见
    // */
    //private String sealPassOpinion;
    //
    ///**
    // * 盖章通过附件
    // */
    //private FileBasicInfo sealPassAppendix;
    ///**
    // * 审核退回意见
    // */
    //private String auditBackOpinion;
    ///**
    // * 审核退回附件
    // */
    //private FileBasicInfo auditBackAppendix;
    ///**
    // * 审核驳回意见
    // */
    //private String auditRejectOpinion;
    //
    ///**
    // * 审核驳回附件
    // */
    //private FileBasicInfo auditRejectAppendix;
    //public enum Action{
    //    //通过、盖章并通过、退回、撤回、驳回
    //    pass, seal_pass ,back, withdraw, reject;
    //}
}
