package com.ningdatech.pmapi.sys.project;

import cn.hutool.core.date.StopWatch;
import com.ningdatech.pmapi.AppTests;
import com.ningdatech.pmapi.common.statemachine.event.ProjectStatusChangeEvent;
import com.ningdatech.pmapi.common.statemachine.util.StateMachineUtils;
import com.ningdatech.pmapi.projectlib.enums.ProjectStatusEnum;
import com.ningdatech.pmapi.projectlib.model.entity.Project;
import org.junit.Test;

import javax.annotation.Resource;

/**
 * @Classname ProjectStateTest
 * @Description
 * @Date 2023/2/8 11:12
 * @Author PoffyZhang
 */
public class ProjectStateTest extends AppTests {

    @Resource
    private StateMachineUtils stateMachineUtils;

    @Test
    public void execute() throws Exception {
        StopWatch stopWatch = new StopWatch();
        stopWatch.start();
        System.out.println("调用状态机开始");

        Project project = new Project();
        project.setInstCode("1");
        project.setId(1L);
        project.setProjectStatusFirst(ProjectStatusEnum.NOT_APPROVED.getCode());
        project.setProjectStatusSecond(ProjectStatusEnum.NOT_APPROVED.getCode());
        stateMachineUtils.execute(project, ProjectStatusChangeEvent.PROJECT_APPLICATION_SUBMIT);

        stopWatch.stop();
        System.out.println("调用状态机结束 :" + stopWatch.getTotalTimeSeconds());
    }
}
